Bug 1529334 (CVE-2017-17819) - CVE-2017-17819 nasm: Illegal address access in find_cc function in asm/preproc.c
Summary: CVE-2017-17819 nasm: Illegal address access in find_cc function in asm/preproc.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17819
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1529336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 16:56 UTC by Pedro Sampaio
Modified: 2019-09-29 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:32 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-27 16:56:33 UTC
In Netwide Assembler (NASM) 2.14rc0, there is an illegal address access in the function find_cc() in asm/preproc.c that will cause denial of service, because pointers associated with skip_white_ calls are not validated.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392435

Upstream patch:

http://repo.or.cz/nasm.git/commit/7524cfd91492e6e3719b959498be584a9ced13af

Comment 1 Pedro Sampaio 2017-12-27 17:01:38 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1529336]


Note You need to log in before you can comment on or make changes to this bug.